efl::eina::range_inlist< T > Struct Template Reference

Public Types | Public Member Functions
efl::eina::range_inlist< T > Struct Template Reference
Eina C++Eina C++ » | Data Types » Containers » Inline List Eina C++Eina C++ » | Data Types » Content Access » | Range

Range for inline list elements. More...

## Public Types
typedef _range_template< T, _inlist_access_traits > | _base_type
| Type for the base class. More...
typedef _base_type::value_type | value_type
| The type of each element. More...
typedef _base_type::native_handle_type | native_handle_type
Public Types inherited from efl::eina::_range_template< T, _inlist_access_traits >
typedef std::integral_constant< bool, !std::is_const< T >::value > | is_mutable
| Type that specifies if the elements can be modified. More...
typedef nonconst_container_value_type< T >::type | value_type
| The type of each element. More...
typedef std::conditional< is_mutable::value, _mutable_range_template< value_type, _inlist_access_traits >, _const_range_template< value_type, _inlist_access_traits > >::type | _base_type
| Type for the base class. More...
typedef _base_type::native_handle_type | native_handle_type
| Type for the native handle of the container. More...
typedef value_type & | reference
| Type for a reference to an element. More...
typedef value_type const & | const_reference
| Type for a constant reference to an element. More...
typedef value_type * | pointer
| Type for a pointer to an element. More...
typedef value_type const * | const_pointer
| Type for a constant pointer to an element. More...
typedef _inlist_access_traits ::template const_iterator< value_type >::type | const_iterator
| Type for constant iterator to the range. More...
typedef _base_type::const_reverse_iterator | const_reverse_iterator
| Type for constant reverse iterator to the range. More...
typedef _inlist_access_traits ::template iterator< value_type >::type | iterator
| Type for iterator to the range. More...
typedef _base_type::reverse_iterator | reverse_iterator
| Type for reverse iterator to the range. More...
typedef _base_type::size_type | size_type
| Type for size information. More...
typedef _base_type::difference_type | difference_type
| Type to represent the distance between two iterators. More...

## Public Member Functions
| range_inlist (native_handle_type list)
| Type for the native Eina inline list handle. More...
template<typename Allocator >
| range_inlist (inlist< value_type, Allocator > &list)
| Creates a range from a inline list object.
Public Member Functions inherited from efl::eina::_range_template< T, _inlist_access_traits >
| _range_template ()
| Creates a singular range object.
| _range_template (native_handle_type handle)
| Creates a range object wrapping the given native container handle.

## Detailed Description

### template<typename T>
struct efl::eina::range_inlist< T >

Range for inline list elements.

## Member Typedef Documentation

## ◆ _base_type

template<typename T>

typedef _range_template<T, _inlist_access_traits> efl::eina::range_inlist< T >::_base_type

Type for the base class.

## ◆ value_type

template<typename T>

typedef _base_type::value_type efl::eina::range_inlist< T >::value_type

The type of each element.

## Constructor & Destructor Documentation

## ◆ range_inlist()

template<typename T>

efl::eina::range_inlist< T >::range_inlist | ( | native_handle_type | list | ) |
| inline

Type for the native Eina inline list handle.

Creates a range from a native Eina inline list handle.